;===============================================================;
;                                                               ;
; Alien Breed 5                                                 ;
; Data for app page 1                                           ;
;                                                               ;
;===============================================================;

#ifdef TI83PLUS
#include "sprites.asm"                          ; sprites
#include "timerspr.asm"                         ; timer sprites
#endif

#ifdef TI83PLUS
darkOverlay:
.db %11101110
.db %01010101
.db %10111011
.db %01010101

darkMaskData:
#import "gfx\darkmask.bin"                      ; mask for dark levels
#endif

#ifdef TI83PLUS
shakeTable:
.db $42,$7F,$41,$40
#endif
#ifdef TI84PLUSCE
shakeTable:
.db -2,3,-2,1
#endif

#ifdef TI83PLUS
timerFrame:
.db %10000000,%01111111,%00000011,%11111100
.db %10000000,%01000000,%00000011,%00000100
.db %10000000,%01000000,%00000011,%00000100
.db %10000000,%01000000,%00000011,%00000100
.db %10000000,%01000000,%00000011,%00000100
.db %10000000,%01000000,%00000011,%00000100
.db %10000000,%01000000,%00000011,%00000100
.db %10000000,%01000000,%00000011,%00000100
.db %10000000,%01000000,%00000011,%00000100
.db %11000000,%00100000,%00000111,%00001000
.db %11100000,%00011111,%00001111,%11110000
#endif

#ifdef TI83PLUS
bulletMoveTable:
.dw moveBulletUp,moveBulletDown,moveBulletLeft,moveBulletRight
enemyMoveTable:
.dw moveEnemyUp,moveEnemyDown,moveEnemyLeft,moveEnemyRight
#endif
#ifdef TI84PLUSCE
bulletMoveTable:
.dl moveBulletUp,moveBulletDown,moveBulletLeft,moveBulletRight
enemyMoveTable:
.dl moveEnemyUp,moveEnemyDown,moveEnemyLeft,moveEnemyRight
#endif

deathSpinTable:
.db 2,3,1,0

sprWhiteSpace:
.db %00000000
.db %00000000
.db %00000000
.db %00000000
.db %00000000
.db %00000000
.db %00000000
.db %00000000
.db %11111111
.db %11111111
.db %11111111
.db %11111111
.db %11111111
.db %11111111
.db %11111111
.db %11111111

pixelTable:
.db $01,$80,$40,$20,$10,$08,$04,$02,$01

#ifdef TI83PLUS
bulletOffsetTable:
.dw 4,-2,1,8,-2,1,8,4
.dw 3,-7,0,7,-7,0,7,3
.dw 2,-6,-1,6,-6,-1,6,2
.dw 2,-5,-1,7,-5,-1,7,2
.dw 1,-4,-1,4,-4,-1,4,1

bulletCentreTable:
.dw 1,1,1,1,1,1,1,1
.dw 1,2,1,2,2,1,2,1
.dw 3,3,3,3,3,3,3,3
.dw 2,1,2,1,1,2,1,2
.dw 2,2,2,2,2,2,2,2

bulletWallAnimTable:
.dw -2,0,-2,-5,0,-2,-5,-2
.dw -3,0,-3,-5,0,-3,-5,-3
.dw -2,1,-2,-4,1,-2,-4,-2
.dw -3,1,-3,-4,1,-3,-4,-3
.dw -2,-1,-2,-6,-1,-2,-6,-2
.dw -3,-1,-3,-6,-1,-3,-6,-3
#endif
#ifdef TI84PLUSCE
bulletOffsetTable:
.dl 3,-4,1,8,-4,1,8,3
.dl 3,-7,0,7,-7,0,7,3
.dl 2,-6,-1,6,-6,-1,6,2
.dl 2,-5,-1,7,-5,-1,7,2
.dl 1,-4,-1,4,-4,-1,4,1

bulletCentreTable:
.dl 1,1,1,1,1,1,1,1
.dl 2,3,2,4,3,2,4,2
.dl 3,3,3,3,3,3,3,3
.dl 2,1,2,1,1,2,1,2
.dl 3,3,3,3,3,3,3,3

bulletWallAnimTable:
.dl -2,0,-2,-5,0,-2,-5,-2
.dl -3,0,-3,-5,0,-3,-5,-3
.dl -2,1,-2,-4,1,-2,-4,-2
.dl -3,1,-3,-4,1,-3,-4,-3
.dl -2,-1,-2,-6,-1,-2,-6,-2
.dl -3,-1,-3,-6,-1,-3,-6,-3
#endif

bulletSizeTable:
.db 3,3,3,3,3,3,3,3
.db 3,5,3,5,5,3,5,3
.db 7,7,7,7,7,7,7,7
.db 5,3,5,3,3,5,3,5
.db 5,5,5,5,5,5,5,5

bulletDamageTable:
.db 1,3,5,8,12

animSpriteTable:
#ifdef TI83PLUS
.dw animExplosion4,animVDOpen2,animHDOpen2
#endif
#ifdef TI84PLUSCE
.dl sprAnimExplosion,sprAnimDoorV,sprAnimDoorH
#endif

objectTriggers:
.db TILE_ENERGYSHIELD,1
.db TILE_ENERGYSHIELD+1,1
.db TILE_ENERGYSHIELD+2,2
.db TILE_ENERGYSHIELD+3,2
.db TILE_GARBAGECHUTE,3
.db TILE_VENTFAN,4
.db TILE_COMPACTORL,5
.db TILE_COMPACTORR,6
NUM_OBJECT_TRIGGERS     = ($-objectTriggers)/2

objectSpriteTable:
#ifdef TI83PLUS
.dw sprObjOneWayV1,sprObjOneWayH1,sprObjGarbageChute1,sprObjVentFan1,sprObjCompactorL1,sprObjCompactorR1
#endif
#ifdef TI84PLUSCE
.dl sprObjOneWayV,sprObjOneWayH,sprObjGarbageChute,sprObjVentFan,sprObjCompactorL,sprObjCompactorR
#endif

playerUseCoordsTable:
#ifdef TI83PLUS
.dw 5,-6,2,13,-6,2,13,5
#endif
#ifdef TI84PLUSCE
.dl 5,-6,2,13,-6,2,13,5
#endif

playerUseTileTable:
.db TILE_FIREDOORV,TILE_FIREDOORH,TILE_INTEXUL,TILE_INTEXUR,TILE_INTEXBL,TILE_INTEXBR
NUM_USE_TILES           = 6

playerUseRoutines:
#ifdef TI83PLUS
.dw closeFireDoor,closeFireDoor
.dw playerIntex,playerIntex,playerIntex,playerIntex
#endif
#ifdef TI84PLUSCE
.dl closeFireDoor,closeFireDoor
.dl playerIntex,playerIntex,playerIntex,playerIntex
#endif

tileFixTable:
.db TILE_UNOPENALIENHOLE,TILE_ENEMYTRIGGER,TILE_ENEMYTRIGGER+1
NUM_TILES_FIX           = $-tileFixTable

enemyLevelTable:
.db 4,6,9,12,15,18,21,25                        ; xeno 1 ini health
.db 4,6,9,12,15,18,21,25                        ; xeno 2 ini health
.db 2,3,4,6,8,10,12,15                          ; face hugger ini health
.db 2,3,4,6,8,10,12,15                          ; worm ini health
.db 2,3,4,6,8,10,12,15                          ; xeno 3 ini health
.db 4,6,9,12,15,18,21,25                        ; spitter ini health
.db 6,6,8,8,10,10,10,10                         ; turret ini health
.db 4,6,9,12,15,18,21,25                        ; security guard ini health
.db 4,6,9,12,15,18,21,25                        ; xeno c ini health

enemyDamageTable:
.db 16,16,8,8,16,16,24,16,16

enemySpeedTable:
.db 2,2,2,2,2,2,3,3                             ; xeno 1
.db 2,2,2,2,2,2,3,3                             ; xeno 2
.db 1,1,1,2,2,2,2,2                             ; face hugger
.db 2,2,2,3,3,3,3,3                             ; worm
.db 2,2,2,2,2,2,3,3                             ; xeno 3
.db 2,2,2,2,2,2,3,3                             ; spitter
.db 0,0,0,0,0,0,0,0                             ; turret
.db 2,2,2,2,2,2,2,2                             ; security guard
.db 2,2,2,2,2,2,3,3                             ; xeno c

enemyCounterMask:
.db %00000000
.db %00000000
.db %00000011
.db %00000011
.db %00000000
.db %00000000
.db %00000000
.db %00000000
.db %00000000

enemySpriteTable:
#ifdef TI83PLUS
.dw sprXeno1Up,sprXeno2Up,sprFaceHuggerUp1,sprWormUp1,sprXeno3Up,sprSpitterUp,sprTurretUp,sprGuardUp,sprCloakedUp
#endif
#ifdef TI84PLUSCE
.dl sprEnemy1,sprEnemy1,sprEnemy1,sprEnemy1,sprEnemy1,sprEnemy1,sprEnemy1,sprEnemy1,sprEnemy1
#endif

enemyBulletType:
.db 0,0,0,0,0,1,2,3,0

#ifdef TI83PLUS
ebulletOffsetTable:
.dw 2,1,3,2,1,3,2,3
.dw 2,1,3,2,1,3,2,2
.dw 4,1,1,2,1,1,2,4

ebulletCentreTable:
.dw 1,2,1,2,2,1,2,1
.dw 1,2,1,2,2,1,2,1
.dw 1,2,1,2,2,1,2,1

bossSpriteTable:
.dw sprBoss1_1_1,sprBoss2_1_1,sprBoss3_1_1,sprBoss4_1_1

bossLevelTable:
.dw 250,500,800,1200

bossExplosions:
.dw -1,0, 7,17, 10,11, 0,12, 2,18, 9,-1, 4,5
#endif
#ifdef TI84PLUSCE
ebulletOffsetTable:
.dl 2,1,3,2,1,3,2,3
.dl 2,1,3,2,1,3,2,2
.dl 4,1,1,2,1,1,2,4

ebulletCentreTable:
.dl 1,2,1,2,2,1,2,1
.dl 1,2,1,2,2,1,2,1
.dl 1,2,1,2,2,1,2,1

#ifdef TI83PLUS
bossSpriteTable:
.dl sprBoss1,sprBoss2,sprBoss3,sprBoss4
#endif

bossLevelTable:
.dl 250,500,800,1200

bossExplosions:
.dl -1,0, 7,17, 10,11, 0,12, 2,18, 9,-1, 4,5
#endif

bossDrawTable:
.db 0,0
.db 0,8
.db 0,16
.db 8,0
.db 8,8
.db 8,16

.end
