;===============================================================;
;                                                               ;
; Alien Breed 5                                                 ;
; Info box routines (TI-84+CE only)                             ;
;                                                               ;
;===============================================================;

;------------------------------------------------
; showInfoBox - show an info box and "type" out a page of text
;   input:  HL => title to use for info box
;           DE => page string data to be printed using displayPage routine
;           A = 0 if normal info box, otherwise A!=0 is a prompt box
;   output: HL => next byte of data after end of page data
;           CA = Yes selected, NC = No selected (prompt box only)
;------------------------------------------------
showInfoBox:
        push    af                              ; save info box type
        push    de                              ; save string pointer for content
        push    hl                              ; save string pointer for title
        ; draw the window
        ld      a,COLOUR_DARKORANGE
        RECT_POS(INFO_BOX_X,INFO_BOX_Y)
        RECT_SIZE(INFO_BOX_WIDTH,INFO_BOX_HEIGHT)
        call    drawWindow
        ; fill in the title bar
        ld      a,COLOUR_DARKORANGE
        RECT_POS(INFO_BOX_X+2,INFO_BOX_Y+2)
        RECT_SIZE(INFO_BOX_WIDTH-4,15)
        call    fillRect
        ; print text
        pop     ix                              ; IX => title string
        ld      de,INFO_BOX_X+4
        ld      l,INFO_BOX_Y+4
        ld      a,COLOUR_WHITE
        call    printStringC
        call    vramFlip
        pop     hl                              ; HL => content string data
        call    displayPageNoClear
        ; wait for [ENTER]
        pop     af
        or      a                               ; normal info box or prompt box?
        jr      nz,promptBox
        ld      hl,strInfo2nd
        call    displayPageNoClear
        call    wait2ndEnter
        ld      b,INTO_GAME_DELAY
        jp      delay
promptBox:
        ld      hl,strInfoPrompt
        call    displayPageNoClear
promptBoxLoop:
        bcall(GET_KEY)
        cp      GK_2ND                          ; [2nd]?
        jr      z,promptBoxYes
        cp      GK_ENTER                        ; [ENTER]?
        jr      z,promptBoxYes
        cp      GK_MODE                         ; [MODE]?
        jr      z,promptBoxNo
        cp      GK_CLEAR                        ; [CLEAR]?
        jr      nz,promptBoxLoop
promptBoxNo:
        or      a                               ; clear carry
        ret
promptBoxYes:
        scf                                     ; set carry
        ret

.end
